> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.6.md).

# V1.3.6

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.6-0
Date: 19/10/22
User: Qjuh
> ----------
>>> mod.js, announce.js, purge.js, settings.js, translate.last.js, help.js, command.send.js, dev.send.js, send.js, events
* Added/Moved `.catch` to `message.delete()` with `logger("debugerror")` calls

>>> mod.js, announce.js, purge.js,
* Changed message fetching only to delete them to deleting directly through `<MessageManager>.delete()` or `<TextChannel>.bulkDelete()` methods

>>> translate.group_auto.js
* Fixed the `catch` on `awaitMessage`

>>> translate.js
* Fixed the `catch` on `apiInstance.post`

>>> translate.react.js
* Fixed the `catch` on `msg.reactions.resolve(emoji).users.remove(...)`

>>> translate.auto.js, send.js
* Changed all `var` (or even never defined) variables to be `const` or `let`

>>> blacklist.js
* Fixed checking `<Guild>.ownerId` instead of `<Guild>.owner` which might not be present
* Fixed using db table column `blacklist` instead of the wrong `blacklisted`

>>> db.js
* Fixed `catch` on `guild.members.fetch(...)`, `updateServerTable`, `Tasks.findAll(...)` and `updateCharCount`

>>> send.js
* Added some `async/await` to get more complete stack traces on send errors
* Fixed `attachments.size` check in `embedOff -> sendAttachments`
```

{% endcode %}

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.6-1
Date: 19/10/22
User: Qjuh
> ----------
>>> events.js
* Added origin to `console.log` in `uncaughtException` handler
```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
### 1.3.6-2
Date: 19/10/22
User: Qjuh
> ----------
>>> logger.js
* Fixed `debugerror` casing to match the one it's used with everywhere

>> Errors
* `DiscordAPIError: Cannot send an empty message
    at RequestHandler.execute (/node_modules/discord.js/src/rest/RequestHandler.js:350:13)
    at runMicrotasks (<anonymous>)
    at processTicksAndRejections (node:internal/process/task_queues:96:5)
    at async RequestHandler.push (/node_modules/discord.js/src/rest/RequestHandler.js:51:14)
    at async Webhook.send (/node_modules/discord.js/src/structures/Webhook.js:196:15)
    at async sendWebhookMessage (/src/core/send.js:992:13)
    at async /src/core/send.js:1182:19
    at async sendBox (/src/core/send.js:1157:10)
    at async checkPerms (/src/core/send.js:438:4)
    at async embedOff (/src/core/send.js:1193:4) {...}`
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.6.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
